<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Rekordy MX</title>
</head>
<body>
<div>

<?php
/*Skrypt pochodzi z książki "PHP. 101 praktycznych skryptów"
  autor: Marcin Lis                    http://marcinlis.com*/
$mxtab = array();
if(isSet($_POST["host"]) && $_POST["host"] != ""){
  $host = $_POST["host"];
  if (getmxrr($host, $mxtab)){
    echo("Rekordy MX dla hosta $host:<br />");
    foreach($mxtab as $value){
      echo("$value<br />");
    }
  }
  else{
    echo("Nie można odczytać rekordów MX.<br />");
  }
}
else{
  echo("Nie została wprowadzona nazwa hosta.");
}
?>

</div>
</body>
</html>
